Trying to upgrade to 4.3.1, device "not eligible". HELP!

Discussion in 'iPad' started by likemyorbs, Apr 4, 2011.

  1. likemyorbs macrumors 68000

    likemyorbs

    Joined:
    Jul 20, 2008
    Location:
    NJ
    #1
    I'm trying to upgrade my ipad to the newest firmware, but when it says verifying with apple i get a message that says my ipad is not eligible for this upgrade. what can be causing this? i'm on the newest version of itunes and currently running 4.2.1. Someone please help
     
  2. xraytech macrumors 68020

    Joined:
    Mar 24, 2010
    #2
    Are you the original owner your iPad?
     
  3. likemyorbs thread starter macrumors 68000

    likemyorbs

    Joined:
    Jul 20, 2008
    Location:
    NJ
    #3
    Yes i am. Bought it from apple a month after release.
     
  4. likemyorbs thread starter macrumors 68000

    likemyorbs

    Joined:
    Jul 20, 2008
    Location:
    NJ
    #4
    someone please help. i tried calling apple but they are useless because i have no applecare. which is ridiculous, they want me to pay $30 because of their issue. so annoyed, so much for apple customer service...
     
  5. ani23 macrumors 6502

    Joined:
    Dec 22, 2008
  6. comaths macrumors newbie

    Joined:
    Mar 17, 2011
    #6
    take your ipad to the apple store, people there may help you.


     
  7. likemyorbs thread starter macrumors 68000

    likemyorbs

    Joined:
    Jul 20, 2008
    Location:
    NJ
    #7
    Thanks for trying everyone, I finally got the issue resolved no thanks to apple. For some reason, I had to put the iPad into dfu mode and do a full restore. I still don't understand the reason behind it, but I'm all updated and jail broken now. Posting this from my 4.3.1 iPad via icab mobile as we speak.
     

Share This Page